/// <reference types="node" />
import { GroupSecretParams, ProfileKey, ProfileKeyCredentialPresentation } from '@signalapp/libsignal-client/zkgroup';
import { signalservice as Proto } from '../../protos/compiled';
import { UUID } from '../types';
import { Group as GroupData } from '../data/group';
export declare type GroupOptions = Readonly<{
    secretParams: GroupSecretParams;
    groupState: Proto.IGroup;
}>;
export declare type GroupMember = Readonly<{
    presentation: ProfileKeyCredentialPresentation;
    profileKey: ProfileKey;
    uuid: UUID;
}>;
export declare type GroupFromConfigOptions = Readonly<{
    secretParams: GroupSecretParams;
    title: string;
    members: ReadonlyArray<GroupMember>;
}>;
export declare class Group extends GroupData {
    readonly secretParams: GroupSecretParams;
    readonly title: string;
    constructor({ secretParams, groupState }: GroupOptions);
    static fromConfig({ secretParams, title, members }: GroupFromConfigOptions): Group;
    get masterKey(): Buffer;
    toContext(): Proto.IGroupContextV2;
    encryptUUID(uuid: UUID): Buffer;
    decryptUUID(ciphertext: Uint8Array): UUID;
    getMemberByUUID(uuid: UUID): Proto.IMember | undefined;
    getPendingMemberByUUID(uuid: UUID): Proto.IMemberPendingProfileKey | undefined;
}
