import { GroupPublicParams, UuidCiphertext } from '@signalapp/libsignal-client/zkgroup';
import { signalservice as Proto } from '../../protos/compiled';
export declare abstract class Group {
    protected privChanges?: Proto.IGroupChanges;
    protected privPublicParams?: GroupPublicParams;
    get changes(): Readonly<Proto.IGroupChanges>;
    get publicParams(): GroupPublicParams;
    get state(): Readonly<Proto.IGroup>;
    get id(): string;
    get revision(): number;
    getChangesSince(since: number): Readonly<Proto.IGroupChanges>;
    getMember(uuidCiphertext: UuidCiphertext): Proto.IMember | undefined;
    getPendingMember(uuidCiphertext: UuidCiphertext): Proto.IMemberPendingProfileKey | undefined;
}
