/// <reference types="node" />
import { ParsedUrlQuery } from 'querystring';
import { WSRequest, WSResponse } from './service';
export declare type AbbreviatedResponse = Readonly<[
    number,
    unknown
]>;
export declare type Handler = (params: any, body: Uint8Array | undefined, headers: Record<string, string>, query?: ParsedUrlQuery) => Promise<AbbreviatedResponse>;
export declare class Router {
    private readonly routes;
    private isAuthenticated;
    register(method: string, pattern: string, handler: Handler): void;
    get(pattern: string, handler: Handler): void;
    put(pattern: string, handler: Handler): void;
    run(request: WSRequest): Promise<WSResponse>;
    setIsAuthenticated(value: boolean): void;
}
